[pacman-dev] [PATCH libmakepkg 2/2] git: allow packages to use git-submodule(1)
Eric Engestrom
eric at engestrom.ch
Fri Apr 29 21:26:57 UTC 2016
Signed-off-by: Eric Engestrom <eric at engestrom.ch>
---
scripts/libmakepkg/source/git.sh.in | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/scripts/libmakepkg/source/git.sh.in b/scripts/libmakepkg/source/git.sh.in
index ad31c34..10fbee6 100644
--- a/scripts/libmakepkg/source/git.sh.in
+++ b/scripts/libmakepkg/source/git.sh.in
@@ -42,7 +42,7 @@ download_git() {
if [[ ! -d "$dir" ]] || dir_is_empty "$dir" ; then
msg2 "$(gettext "Cloning %s %s repo...")" "${repo}" "git"
- if ! git clone --depth 1 --mirror "$url" "$dir"; then
+ if ! git clone --depth 1 --mirror "$url" --recursive "$dir"; then
error "$(gettext "Failure while downloading %s %s repo")" "${repo}" "git"
plain "$(gettext "Aborting...")"
exit 1
--
2.8.0
More information about the pacman-dev
mailing list